%define upstream_name    TAP-Formatter-JUnit
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    TAP formatter, turning TAP into JUnit
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/TAP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Slurp)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::NonMoose)
BuildRequires: perl(TAP::Harness) >= 3.120.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Generator)
BuildArch:  noarch

%description
*This code is currently in alpha state and is subject to change.*

'TAP::Formatter::JUnit' provides JUnit output formatting for
'TAP::Harness'.

By default (e.g. when run with _prove_), the _entire_ test suite is
gathered together into a single JUnit XML document, which is then displayed
on 'STDOUT'. You can, however, have individual JUnit XML files dumped for
each individual test, by setting c<PERL_TEST_HARNESS_DUMP_TAP> to a
directory that you would like the JUnit XML dumped to. Note, that this will
*also* cause 'TAP::Harness' to dump the original TAP output into that
directory as well (but IMHO that's ok as you've now got the data in two
parsable formats).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/tap2junit
/usr/share/man/man1/tap2junit.1.xz

%changelog

* Mon Mar 18 2013 jquelin <jquelin> 0.90.0-5.mga3
+ Revision: 403837
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-4.mga3
+ Revision: 373009
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.90.0-3.mga3
+ Revision: 315056
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 0.90.0-2.mga3
+ Revision: 283584
- perl 5.16.1 rebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 255487
- update to 0.09

* Mon Jun 04 2012 jquelin <jquelin> 0.80.0-2.mga3
+ Revision: 254314
- rebuild to fix new shebang with perl 5.16

* Tue Jan 03 2012 guillomovitch <guillomovitch> 0.80.0-1.mga2
+ Revision: 189995
- imported package perl-TAP-Formatter-JUnit


* Tue Jan 03 2012 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
